# Дан список карт:
# current_hand = [2, 3, 4, 10, 'Q', 5]
# В общем и целом, список может содержать следующие значения:
#
#
# У каждой карты есть свой "вес":
# 2, 3, 4, 5, 6           - весят +1
# 7, 8, 9                 - весят 0
# 10, 'J', 'Q', 'K', 'A'  - весят -1
#
# Задача: имея список карт посчитать их "вес".
# Примечание: это уже задачка посложнее. Для красивого решения подумайте как вам может помочь здесь словарь
#
# Примеры входных данных и ожидаемых результатов:
# current_hand0 = [2, 3, 4, 10, 'Q', 5]    общий вес = 2
# current_hand1 = ['A', 3, 4, 10, 'j', 4]    общий вес = 0
# current_hand2 = [2, 7, 4, 9, 3, 5]    общий вес = 4
# Вычислить общий вес карт и записать в переменную с именем cards_sum  (все данные у меня будут хранится в dict3)

# # Вариант №1
# # Расчет веса нулевого набора карт
# dict0 = {
#     '2':    1,
#     '3':    1,
#     '4':    1,
#     '10':  -1,
#     'Q':   -1,
#     '5':    1
#                 }
# list0 = list(dict0.values())
# current_hand0 = sum(list0)
#
#
# # Расчет веса первого набора карт
# dict1 = {
#     'A':   -1,
#     '3':    1,
#     '4.':   1,
#     '10':  -1,
#     'J':   -1,
#     '4':    1
#                 }
# list1 = list(dict1.values())
# current_hand1 = sum(list1)
#
#
# # Расчет веса второго набора карт
# dict2 = {
#     '2':    1,
#     '7':    0,
#     '4':    1,
#     '9':    0,
#     '3':    1,
#     '5':    1
#                 }
# list2 = list(dict2.values())
# current_hand2 = sum(list2)
#
#
# # Расчет веса всех карт
# dict3 = {
#     '2':    1,
#     '3':    1,
#     '4':    1,
#     '5':    1,
#     '6':    1,
#     '7':    0,
#     '8':    0,
#     '9':    0,
#     '10':  -1,
#     'J':   -1,
#     'Q':   -1,
#     'K':   -1,
#     'A':   -1
#                 }
# list3 = list(dict3.values())
# cards_sum = sum(list3)
#
#
# print(current_hand0)
# print(current_hand1)
# print(current_hand2)
# print(cards_sum)





# Вариант №2
deck = {2: 1, 3: 1, 4: 1, 5: 1, 6: 1, 7: 0, 8: 0, 9: 0, 10: -1, 'J': -1, 'Q': -1, 'K': -1, 'A': -1}
current_hand = [2, 3, 4, 10, 'Q', 5]

cards_sum = sum([deck[x] for x in current_hand])
print(cards_sum)
